Network.Wai.Handler.Warp

# Run a Warp server

run

runSettings

runSettingsSocket

# Settings

data Settings

defaultSettings

settingsPort

settingsHost

settingsOnException

settingsOnOpen

settingsOnClose

settingsTimeout

settingsIntercept

settingsManager

settingsFdCacheDuration

settingsResourceTPerRequest

settingsBeforeMainLoop

settingsServerName

## Data types

data HostPreference

# Connection

data Connection

runSettingsConnection

runSettingsConnectionMaker

# Datatypes

type Port

data InvalidRequest

# Internal (Manager)

data Manager

data Handle

initialize

withManager

register

registerKillThread

pause

resume

cancel

# Internal

parseRequest

sendResponse

dummyCleaner

socketConnection

# Misc

warpVersion